> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/file-access/folders.md).

# Folders

## List Folders

> Retrieve a list of all file access folders.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FileAccess/Folders":{"get":{"tags":["4-File Access//0-Basic Operations"],"summary":"List Folders","description":"Retrieve a list of all file access folders.","operationId":"70119e1f-23dc-4878-9bff-6c474b54e545","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve file access folders (optional)","schema":{"type":"integer","format":"int32"}},{"name":"Name","in":"query","description":"Filter the result by name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileAccessFolder"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"FileAccessFolder":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASFileAccessObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"adminOnly":{"type":"boolean","description":"<para type=\"description\">Whether there are admin rights only for this folder or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">File Access folder</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASFileAccessObject":{"enum":[["0 = Any","1 = Folder","2 = Drive"]],"type":"string","description":"<para type=\"synopsis\">RAS File Access Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create Folder

> Add a file access folder to a site.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FileAccess/Folders":{"post":{"tags":["4-File Access//0-Basic Operations"],"summary":"Create Folder","description":"Add a file access folder to a site.","operationId":"a2fb1597-2ce6-4387-afb9-232bc8f3910a","requestBody":{"description":"File access folder configuration","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewFileAccessFolder"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/FileAccessFolder"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewFileAccessFolder":{"required":["name"],"type":"object","properties":{"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Replicate Maintenance' is enabled or not.</para>","nullable":true},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Whether to inherit default Maintenance settings.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"maintenanceMessage_en_US":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Portuguese.</para>","nullable":true},"maintenanceMessage_de_DE":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in German.</para>","nullable":true},"maintenanceMessage_nl_NL":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Korean.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Published resource description.</para>","nullable":true},"publishToSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">An array of Sites IDs to which to publish a resource.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">Site ID in which to publish the specified Item.</para>\r\n<para type=\"description\">If the parameter is omitted, the site ID of the Licensing Server will be used.</para>","format":"int32"},"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">File access item name.</para>","nullable":true},"parentId":{"type":"integer","description":"<para type=\"description\">Parent file access folder ID.</para>","format":"int32","nullable":true},"previousId":{"type":"integer","description":"<para type=\"description\">Previous file access item ID.</para>","format":"int32","nullable":true},"adminOnly":{"type":"boolean","description":"<para type=\"description\">Specifies whether only administrators can access the folder.</para>","default":false}},"additionalProperties":false,"description":"<para type=\"synopsis\">Input model for creating a File Access folder item.</para>\r\n<para type=\"description\"></para>"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"FileAccessFolder":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASFileAccessObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"adminOnly":{"type":"boolean","description":"<para type=\"description\">Whether there are admin rights only for this folder or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">File Access folder</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASFileAccessObject":{"enum":[["0 = Any","1 = Folder","2 = Drive"]],"type":"string","description":"<para type=\"synopsis\">RAS File Access Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get Folder

> Retrieve information about a specified file access folder.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FileAccess/{id}/Folders":{"get":{"tags":["4-File Access//0-Basic Operations"],"summary":"Get Folder","description":"Retrieve information about a specified file access folder.","operationId":"59a95765-7b32-41da-94cd-8dc1efb01bce","parameters":[{"name":"id","in":"path","description":"ID of the file access folder to be retrieved","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/FileAccessFolder"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"FileAccessFolder":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance.</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the published item.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASFileAccessObject"},"parentId":{"type":"integer","description":"<para type=\"description\">ID of the parent folder of the published item.</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of the previous published item.</para>","format":"int32"},"description":{"type":"string","description":"<para type=\"description\">Description of the published item.</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the published item is enabled or not.</para>"},"publishToSite":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">List of the IDs of all the sites this item is published to.</para>","nullable":true},"filter":{"$ref":"#/components/schemas/PubItemFilter"},"adminOnly":{"type":"boolean","description":"<para type=\"description\">Whether there are admin rights only for this folder or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">File Access folder</para>\r\n<para type=\"description\"></para>"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"RASFileAccessObject":{"enum":[["0 = Any","1 = Folder","2 = Drive"]],"type":"string","description":"<para type=\"synopsis\">RAS File Access Objects</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PubItemFilter":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/PubItemRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The PubItem Filter object.</para>\r\n<para type=\"description\"></para>"},"PubItemRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/PubItemCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Rule</para>\r\n<para type=\"description\"></para>"},"PubItemCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"},"devices":{"$ref":"#/components/schemas/DevicesCriteria"},"themes":{"$ref":"#/components/schemas/ThemesCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">PubItem Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DevicesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Devices Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/ClientDeviceCriteriaEntry"},"description":"<para type=\"description\">Client criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Devices Criteria</para>\r\n<para type=\"description\"></para>"},"ClientDeviceCriteriaEntry":{"type":"object","properties":{"client":{"type":"string","description":"<para type=\"description\">The name of the client device.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client device criteria entry</para>\r\n<para type=\"description\"></para>"},"ThemesCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Themes Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Theme criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Themes Criteria</para>\r\n<para type=\"description\"></para>"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update Folder

> Modify properties of a file access folder.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FileAccess/{id}/Folders":{"put":{"tags":["4-File Access//0-Basic Operations"],"summary":"Update Folder","description":"Modify properties of a file access folder.","operationId":"3c073726-54ba-4561-b155-e251b54e3ccb","parameters":[{"name":"id","in":"path","description":"ID of the file access folder to be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"File access folder configuration","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetFileAccessFolder"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetFileAccessFolder":{"type":"object","properties":{"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Replicate Maintenance</para>","nullable":true},"inheritMaintenance":{"type":"boolean","description":"<para type=\"description\">Inherit Maintenance</para>","nullable":true},"enabledMode":{"$ref":"#/components/schemas/PubResourceEnabledMode"},"maintenanceMessage_en_US":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Dutch.</para>","nullable":true},"maintenanceMessage_de_DE":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in German.</para>","nullable":true},"maintenanceMessage_zh_TW":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Korean.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Published resource description.</para>","nullable":true},"publishToSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">An array of sites to which to publish a resource.</para>","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A new name to assign to the file access item.</para>","nullable":true},"adminOnly":{"type":"boolean","description":"<para type=\"description\">Specifies whether only administrators can access the folder.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Input model for updating a File Access folder item.</para>\r\n<para type=\"description\"></para>"},"PubResourceEnabledMode":{"enum":[["0 = Disabled","1 = Enabled","2 = Maintenance"]],"type":"string","description":"<para type=\"synopsis\">Published resource availability modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete Folder

> Delete a file access folder.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/FileAccess/{id}/Folders":{"delete":{"tags":["4-File Access//0-Basic Operations"],"summary":"Delete Folder","description":"Delete a file access folder.","operationId":"0c1173db-c902-4272-99d1-737659e20941","parameters":[{"name":"id","in":"path","description":"ID of the file access folder to be deleted","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/file-access/folders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
